Page MenuHomePhabricator

Create voter lists for Board & FDC Elections 2017
Closed, ResolvedPublic

Description

Tracking Task for setting up the voting list for the Board & FDC Elections in 2017. Tasks list below (I'll be working on this over the next 24 hours or so but helps obviously appreciated if someone is interested):

  • Update Board Vote 2015 scripts for 2017 ( SecurePoll extension --> cli --> wm-scripts --> bv2015
    • bv2015_tables.sql --> bv2017_tables.sql: Same structure except name change)
    • on populateEditCount.php: update maxUser, beforeTime, betweenTime, db name
    • on voterList.php: update listName and database
  • Run a database update to add bv2017_edits table
  • Run populateEditCount.php to populate bv2017_edits table (ongoing)
  • Run voterList.php to create global voter list

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 25 2017, 10:37 PM

Change 350371 had a related patch set uploaded (by Jalexander):
[mediawiki/extensions/SecurePoll@master] Add voter scripts for board/fdc election 2017

https://gerrit.wikimedia.org/r/350371

Change 350443 had a related patch set uploaded (by Jalexander):
[mediawiki/extensions/SecurePoll@wmf/1.29.0-wmf.21] Add voter scripts for board/fdc election 2017

https://gerrit.wikimedia.org/r/350443

Change 350444 had a related patch set uploaded (by Jalexander):
[mediawiki/extensions/SecurePoll@wmf/1.29.0-wmf.20] Add voter scripts for board/fdc election 2017

https://gerrit.wikimedia.org/r/350444

Huji added a subscriber: Huji.Apr 26 2017, 4:57 PM

Change 350443 merged by jenkins-bot:
[mediawiki/extensions/SecurePoll@wmf/1.29.0-wmf.21] Add voter scripts for board/fdc election 2017

https://gerrit.wikimedia.org/r/350443

Change 350444 merged by jenkins-bot:
[mediawiki/extensions/SecurePoll@wmf/1.29.0-wmf.20] Add voter scripts for board/fdc election 2017

https://gerrit.wikimedia.org/r/350444

Mentioned in SAL (#wikimedia-operations) [2017-04-26T18:26:52Z] <thcipriani@naos> Synchronized php-1.29.0-wmf.21/extensions/SecurePoll: SWAT: [[gerrit:350443|Add voter scripts for board/fdc election 2017]] T163854 (duration: 01m 00s)

Mentioned in SAL (#wikimedia-operations) [2017-04-26T18:30:41Z] <thcipriani@naos> Synchronized php-1.29.0-wmf.20/extensions/SecurePoll: SWAT: [[gerrit:350444|Add voter scripts for board/fdc election 2017]] T163854 (duration: 00m 57s)

Mentioned in SAL (#wikimedia-operations) [2017-04-27T02:21:45Z] <Jamesofur> running populateEditCount.php in screen on wast for T163854, counting edits for board vote eligibility

Jalexander updated the task description. (Show Details)Apr 27 2017, 2:23 AM

Change 350371 merged by Foks:
[mediawiki/extensions/SecurePoll@master] Add voter scripts for board/fdc election 2017

https://gerrit.wikimedia.org/r/350371

Jalexander closed this task as Resolved.May 5 2017, 7:47 PM
Jalexander triaged this task as High priority.

resolving, was completed earlier